#include <iostream>
using namespace std;
#include <bits/stdc++.h>
	
	
	
int main(int argc, char** argv) {
	
	
	int n,k;
	cin>>n;
	cin>>k;
	int a[n];
	int b[n];
	int br = 0;
	int p=1;	
	for(int i = 0;i<n;i++){
		
		
		cin>>a[i];
	
		
	}
	sort(a, a+n); 
	
	
	if(k==1){
		
		
		br++;
		b[0]=a[0];
	}
	
	
	for(int i = 1;i<n;i++){
		
		if(a[i-1]==a[i]){
			
			p++;
			
		}
		else{
			p=1;
		}
		if(p==k){
			
			b[br] = a[i];
			br++;
		}
			
	}
	
	cout<<br<<endl;
	for(int i = 0;i<br;i++){
		
		
		cout<<b[i]<<endl;
		}		
	
	return 0;
}